# Модуль "Отзывы"
## Инфа из ТЗ:
Платформа должна обладать функционалом, который позволит
пользователям-арендаторам написать отзыв об арендованной
площадке. Доступ к этому фуекционалу должен быть только у
авторизованных арендаторов.

У пользователей-арендаторов должна быть возможность оставлять
отзывы об арендованной площадке и ставить ей оценки. На основе
этих оценок у каждой площадки будет формироваться рейтинг
(средняя оценка), которая будет отображаться для всех
пользователей в карточке данной площадки.
Оставить отзыв о площадке пользователь имеет право только после
истечения сроков аренды.

## Основные тезисы:
- Платформа должна иметь функционал для написания отзывов об арендованной площадке.
- Доступ к функционалу отзывов должен быть только у авторизованных арендаторов.
- Пользователи-арендаторы должны иметь возможность оставлять отзывы и ставить оценки площадкам.
- На основе оценок формируется рейтинг для каждой площадки.
- Рейтинг будет отображаться для всех пользователей в карточке площадки.
- Оставить отзыв можно только после истечения сроков аренды.

## Что хочет получить пользователь:
1. Возможность оценить полученные услуги
2. Перед тем как забронировать площадку - оценить опыт предыдущих арендаторов

## Что хочет видеть пользователь:
1. Среднюю оценку площадки в общем списке и на индивидуальной карточке
2. Список отзывов на индивидуальной карточке площадки
3. Кнопку "Оставить отзыв" после истечения сроков аренды

## Примечания к UX:
В DNS когда ты заходишь на сайт через какое-то время после
совршения покупки, вы свечевается уведомление "Недавно вы купили
%товар_нейм%. Не хотите оставить отзыв?". Уведомление через
какое-то время после совршения покупки приходит, потому что DNS
ждут когда ты получишь опыт использования, поэтому просто
угадывают. В нашем же случае чётко известно, когда опыт будет
получен. Возможно выводить такое уведомление на сайте после того
как у арендатора закончился срок аренды. Либо же выводить такое
же уведомление, но в каком-то ЛК если он вообще будет.

## Примерная модель данных модуля:
Таблица "Reviews":
- уникальный идентификатор
- идентификатор пользователя-арендатора
- идентификатор арендуемой площадки
- дата(ы) аренды
- оценка (от 1 до 5 с шагом 0.5)
- текст отзыва
- дата написания

## Возможные особенности реализации
Вижу как-то так:
Модуль бронирования после успешного своершения бронирования
кидает данные о бронировании (что, кто и когда) в какой-то
специльный для этого топик в очередь сообщений.

В свою очередь модуль отзывов переодически забирает эти данные и
хранит их у себя (например, чтобы не плодить БД, в той же таблице
"Reviews", заполняя только первые 4 поля. По отсутствию остальных
полей можно будет понять, что это как раз таки "возможный отзыв").
И имеет ендпоинт, по кторому я могу спросить "Есть ли какие отзывы,
которые пользователь может оставить?". На который как раз отдавать
эти данные которые мы получили из модуля бронирования.

Так же будут стандартные эндпоинты на создать/получить и т.п.